| Home | Libraries | People | FAQ | More

## Class template tuple

boost::type_erasure::tuple

## Synopsis

    // In header: <boost/type_erasure/tuple.hpp>

    template<typename Concept, class... T>
    class tuple {
    public:
      // construct/copy/destruct
      template<class... U> explicit tuple(U &&...);
    };

## Description

tuple is a Boost.Fusion Random Access Sequence containing anys. `Concept` specifies the Concept for each of the elements. The remaining arguments must be (possibly const and/or reference qualified) placeholders, which are the placeholders of the elements.

### `tuple` public construct/copy/destruct

1.     template<class... U> explicit tuple(U &&... args);

   Constructs a tuple. Each element of `args` will be used to initialize the corresponding any member. The binding for the tuple elements is determined by mapping the placeholders in `T` to the corresponding types in `U`.